### Virtual Method

# Gio DBusProxy g_signal

#### Declaration

    void
    g_signal (
      GDBusProxy* proxy,
      const gchar* sender_name,
      const gchar* signal_name,
      GVariant* parameters
    )

#### Description

Signal class handler for the `GDBusProxy::g-signal` signal.

#### Parameters

`sender_name`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`signal_name`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`parameters`

  Type: `GVariant`

  No description available.

  The data is owned by the caller of the method.